%define rname freetype
%define rversion 2.0.1
%define snapshot 20001211

Name:      freetype2
Summary:   FreeType2
Version:   2.0.2
Release:   0.%{snapshot}.1mdk
Copyright: FTL/GPL
Source0:   ftp://freetype.sourceforge.net/pub/freetype/freetype2/freetype2-%{snapshot}.tar.bz2
Buildroot: %{_tmppath}/%{name}-%{version}-root
Group:     System/Libraries
# (fc) 2.0.2-0.20001211.1mdk correct include in header file
Patch0:	   freetype2-ft2build.patch.bz2

%package devel
Summary:   Header files and static library for development with FreeType2.
Group:     Development/C
Requires:  %{name} = %{version}

%description
The FreeType2 engine is a free and portable TrueType font rendering engine.
It has been developed to provide TT support to a great variety of
platforms and environments. Note that FreeType2 is a library, not a
stand-alone application, though some utility applications are included

%description devel
This package is only needed if you intend to develop or
compile applications which rely on the FreeType2 library.
If you simply want to run existing applications, you won't
need this package.

%prep

%setup -q -n %{rname}2-current
# (fc) 2.0.2-0.20001211.1mdk correct include in header file
%patch0 -p 1 -b .build

%build

# this is not a bug, make needs to be run two times :))
make CFG="--prefix=/usr" CFLAGS="$RPM_OPT_FLAGS"

%make

%install
%makeinstall 

chmod a+r $RPM_BUILD_ROOT%{_bindir}/*

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc CHANGES INSTALL LICENSE.TXT docs/
%{_libdir}/*.so.*

%files devel
%defattr(-, root, root)
%{_bindir}/freetype-config
%{_libdir}/*.so
%{_libdir}/*.la
%{_libdir}/*.a
%{_includedir}/freetype2
%{_includedir}/*.h

%changelog
* Mon Dec 11 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.2-0.20001211.1mdk
- Snapshot version from CVS (needed for xrender)
- Patch ft2build.h to use correct path (Fred Lepied)
- Remove patch1 (not longer needed)
- Remove patch2 (merged upstream)

* Sat Dec 02 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.0.1-1mdk
- new and shiny source bumped into cooker.
- obsolete patch as the bug is fixed.
- use RPM_OPT_FLAGS.

* Tue Nov 21 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0-3mdk
- Include all modules in lib (no longer apply patch1)

* Tue Nov 21 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0-2mdk
- Add config script to devel package
- correctly configure package

* Fri Nov 10 2000 Geoffrey Lee <snailtalk@manrakesoft.com> 2.0-1mdk
- really 2.0 release.

* Wed Nov  8 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0-0.8.1mdk
- First mandrake release

* Thu Oct  5 2000 Ramiro Estrugo <ramiro@eazel.com>
- Created this thing

